<?php


include_once 'connect.php';
// linhas de exemplo
define('MAX_LINHAS', 300);


  if ($_SERVER['REQUEST_METHOD'] === 'GET') {
  // 1. incluir o ws
  // 2. verifica o usuário
  // 3. lê a chave
  // 4. consulta ao BD
  // 5. tudo certo, mensagem de sucesso com um json com propriedade 'value' com o valor, tudo errado, mensagem de erro com um json com propriedade 'value' com um valor
  //    genérico e o erro na propriedade 'error'

  // para o exemplo, vou só verificar se é um inteiro que foi passado e retorno
  if (isset($_GET['key'])) {
    $key = $_GET['key'];
    $msg = array();
    if (is_numeric($key)) {
          $consulta = "SELECT *  FROM erpc_financeiro_bancos where st_ativo=1 and ds_codigo=$key";
          //echo $consulta;
          $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
          if (mysqli_num_rows($resultado)>0) {
            //caso encontrado
            while ($registro = mysqli_fetch_assoc($resultado)){
				
              $id       = $registro['id'];
              $ds_codigo= $registro['ds_codigo'];
              $ds_banco = $registro['ds_banco'];

              //Mensagem de encontrado
			  $msg['id_banco'] 	= $id;
              $msg['value'] = $ds_banco; //Campo descritivo
            }
          }else{
            //Caso não encontrado
            $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' não cadastrado';
          }

        }else{
          //Caso não seja um valor numérico
          $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' inválido';

        }


/*




      if ($key >= 0 && $key < MAX_LINHAS) {
        $msg['value'] = 'Nome ' . $key;
      } else {
        $msg['value'] = '-';
        $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' não cadastrado';
      }
    } else {
        $msg['value'] = '-';
        $msg['error'] = 'Erro! Código ' . htmlentities($key) . ' inválido';
    }
    */

    //resposta para a página chamada
    //transferir a chamada para o WS

    header('Content-type: application/json');
    echo json_encode($msg);
    exit;
  }
}

?>


<div class="scroll">
  <ul class="nav nav-tabs" role="tablist">
    <li role="presentation" class="active"><a href="#helper_lista-div" aria-controls="helper_lista-div" role="tab" data-toggle="tab"><span class="fa fa_list"></span> Lista</a></li>
<!--    <li role="presentation" class=""><a href="#helper-form-div" aria-controls="helper-form-div" role="tab" data-toggle="tab"><span class="fa fa-plus"></span> Adicionar</a></li>-->
  </ul>

  <div class="tab-content">
    <div role="tabpanel" class="tab-pane fade in active " id="helper_lista-div">
<!--      <table class="table table-bordered table-striped table-responsible table-condensed sortable table-clickable-row" id="helperTable"> -->

    <table class="table table-bordered table-striped table-responsible table-condensed sortable table-clickable-row" id="helperTable">
       <thead>
          <tr>
            <!--<th width="3%"><input type="checkbox" class="checkall" /></th>-->
            <!--<th width="3%">Status</th>-->
            <!--<th width=15%>ID</th>-->
            <th width=15%>ID</th>
            <th width=62%>Conta</th>
            <th width=4%>Banco</th>
          </tr>
        </thead>
        <tbody>

          <?php
          //var $key = $("input#ds_uf").val();

		  $consulta = "select  erpc_financeiro_contas_bancarias.id
								,erpc_financeiro_contas_bancarias.ds_conta
								,ds_banco
						from erpc_financeiro_contas_bancarias 
							inner join erpc_financeiro_bancos
								on erpc_financeiro_contas_bancarias.id_banco = erpc_financeiro_bancos.id
						where erpc_financeiro_contas_bancarias.st_ativo = 1;";
							
          //echo $consulta;
          $resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
          if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

              $id = $registro['id'];
              $ds_conta= $registro['ds_conta'];
              $ds_banco = $registro['ds_banco'];

            echo "<tr>";
            //echo "<td class='text-center'><input type='checkbox' /></td>";
            //echo "<td class='text-center'><i class='fa fa-circle text-success' title='Status'><span class='sr-only'>Status</span></i></td>";
            //echo "<td hidden>$id</td>";
            echo "<td>$id</td>";
            echo "<td>$ds_conta</td>";
			echo "<td>$ds_banco</td>";
			echo "</tr>";
            }
          }
          ?>
                  </tbody>
      </table>
    </div>



       <!-- <thead>
          <tr>
            <th width="5%">ID</th>
            <th width="95%">Nome</th>
          </tr>
        </thead>
        <tbody>
          <?php
          for($i = 0; $i < MAX_LINHAS; $i++) {d
            ?>
          <tr>
            <td><?php echo $i; ?></td>
            <td>Nome <?php echo $i; ?></td>
          </tr>
            <?php
          }
          ?>
        </tbody>
      </table>
    </div> <!-- tabpanel -->

  </div> <!-- tab-content -->
</div>
